#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 1

Name:           accessibility-inspector
Version: 24.08.2
Release:        %mkrel %{rel}
Summary:        Accessibility inspector
License:        LGPL-2.1-or-later
Group:          Graphical desktop/KDE
URL:            https://apps.kde.org/accessibilityinspector
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6XmlGui)

BuildRequires:  cmake(QAccessibilityClient6) >= 0.6.0


%description
Accessibility Inspector is an inspector for your application accessibility tree.
It lets you check all the items exposed via At-SPI.

%files -f %{name}.lang
%license LICENSES/*
%doc README.md
%{_kf6_categoriesdir}/accessibilityinspector.categories
%{_kf6_bindir}/accessibilityinspector
%{_kf6_applicationsdir}/org.kde.accessibilityinspector.desktop
%{_kf6_metainfodir}/org.kde.accessibilityinspector.metainfo.xml
%{_kf6_iconsdir}/hicolor/scalable/apps/org.kde.accessibilityinspector.svg
%{_kf6_libdir}/libaccessibilityinspector.so.*

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sun Oct 13 2024 daviddavid <daviddavid> 24.08.2-1.mga10
+ Revision: 2105430
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 24.08.1-1.mga10
+ Revision: 2097293
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 24.08.0-1.mga10
+ Revision: 2087496
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2084977
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073100
- New version 24.05.1

* Thu Jun 06 2024 daviddavid <daviddavid> 24.05.0-1.mga10
+ Revision: 2070275
- initial package accessibility-inspector

